org.apache.maven.plugin.registry

## Class PluginRegistryUtils

- java.lang.Object
- - org.apache.maven.plugin.registry.PluginRegistryUtils

    public final class PluginRegistryUtils
    extends java.lang.Object

### Method Summary

Methods
`static PluginRegistry` `extractUserPluginRegistry(PluginRegistry pluginRegistry)`
`static void` `merge(PluginRegistry dominant, PluginRegistry recessive, java.lang.String recessiveSourceLevel)`
`static void` `recursivelySetSourceLevel(PluginRegistry pluginRegistry, java.lang.String sourceLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### merge

    public static void merge(PluginRegistry dominant,
             PluginRegistry recessive,
             java.lang.String recessiveSourceLevel)

#### recursivelySetSourceLevel

    public static void recursivelySetSourceLevel(PluginRegistry pluginRegistry,
                                 java.lang.String sourceLevel)

#### extractUserPluginRegistry

    public static PluginRegistry extractUserPluginRegistry(PluginRegistry pluginRegistry)